Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157132 - gnome-cd does not get any info from the cddb database
Summary: gnome-cd does not get any info from the cddb database
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Russell Coker
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-07 10:39 UTC by David Bentley
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-24 18:29:27 UTC


Attachments (Terms of Use)
Content of /var/log/messages as requested. (deleted)
2005-05-12 18:38 UTC, David Bentley
no flags Details
Content of /var/log/messages as requested. (deleted)
2005-05-12 18:40 UTC, David Bentley
no flags Details

Description David Bentley 2005-05-07 10:39:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:
all the versions of CD Player since FC4test1 have not been able to get any info from the CDDB database and this is still the case with the latest version available by update from the development tree.

Version-Release number of selected component (if applicable):
CD Player 2.10.2

How reproducible:
Always

Steps to Reproduce:
1) Insert CD in drive 
2) The CD plays OK


Actual Results:  The CD plays OK but does not show the artist, album title or any track names. 

Expected Results:  The display of the available info from the CDDB that is available for the album.

Additional info:

Comment 1 John (J5) Palmieri 2005-05-09 19:59:51 UTC
Please upgrade to the latest gnome-media and gstreamer in rawhide and try again.
 This works for me.

Comment 2 David Bentley 2005-05-11 15:34:24 UTC
Updated to the latest components as you suggested but with no change in the
result so I investigated further.

First I disabled the firewall even though I had my ethernet connection to my DSL
router and the rest of the network as a trusted device rebooted and still no
CDDB info was obtained.

Next I disabled selinux and rebooted and this time all the expected information
was obtained from the CDDB.

Next I re-enabled the firewall and selinux re-labeling the file system on reboot
and after a reboot those CD's that information was obtained for still display it
but any new CD again fails to get any information from the CDDB.

So it would seem to be an selinx related problem.

I am now going to install FC4test3 (download finished approx 1 hour ago) and
will report if the problem still exists
then both before and after any updates are installed.

Comment 3 John (J5) Palmieri 2005-05-12 16:07:20 UTC
Any update on this.  If it is an SE-Linux bug we need to get it fixed soon or
FC4 will go out without the fix.

Comment 4 David Bentley 2005-05-12 17:28:46 UTC
Still the same problem in FC4test3

Comment 5 John (J5) Palmieri 2005-05-12 18:02:01 UTC
Ok, I'm going to reassign this to SE-Linux and put it on the blocker list.  Can
you run gnome-cd again and attach the SE-Linux output in /var/log/messages to
this bug.  Thanks.

Comment 6 David Bentley 2005-05-12 18:38:37 UTC
Created attachment 114304 [details]
Content of /var/log/messages as requested.

Comment 7 David Bentley 2005-05-12 18:40:54 UTC
Created attachment 114305 [details]
Content of /var/log/messages as requested.

Comment 8 Daniel Walsh 2005-05-12 18:46:56 UTC
THere are no messages in there that would cause this.

Do you have any messages in /var/log/audit/audit.log?

If you setenforce 0 and then try to play the CD do you see data?

Dan

Comment 9 David Bentley 2005-05-12 19:04:33 UTC
None that I can see and also none after doing the setenforce 0 and playing a CD.

Comment 10 Daniel Walsh 2005-05-12 19:07:57 UTC
Did it start working though when you did the setenforce 0?

This could be a udev problem?  John which devices are used by this app?

We are seeing no AVC messages related to this.

Dan

Comment 11 David Bentley 2005-05-12 19:11:41 UTC
No it did not start working I still get no CDDB info for any CD.

Comment 12 Daniel Walsh 2005-05-12 19:31:51 UTC
Ok, then next time you boot can you boot in permissive mode.

You can either enter enforcing=0 on the kernel line, or change
/etc/selinux/config or run system-config-securitylevel to do it.

Comment 13 David Bentley 2005-05-12 22:17:32 UTC
Ok I have done as you asked  enforcing=0 on the kernel line and after booting
confirmed that it had booted into permissive mode by checking what was shown
by system-config-securitylevel (shows enforcing current permissive) and then
played a cd and checked the log files for approprite messages and found none
(still did not get any info) so I then disabled selinux using the
system-config-securitylevel aplet and after a reboot with selinux now disabled
the CDDB info is available.

So I returned everything to normal and confirmed that with a fresh CD it does
not work again which it did'nt but thought I would try and see what 
sound juicer CD ripper does and to my surprise this application gets info OK 
from the CDDB database.
database.

Comment 14 Daniel Walsh 2005-05-18 18:21:16 UTC
Harald any ideas?

Comment 15 Harald Hoyer 2005-05-19 08:43:40 UTC
Udev problem? no..

Which kind of Cdrom? Scsi or Atapi? Maybe the app uses a ioctl on the /dev/sg?
device, which is not used anymore (module sg is deprecated??). The app should
then use the ioctl on /dev/cdrom and maybe the kernel does not allow the
specific ioctl().

Comment 16 David Bentley 2005-05-19 16:13:22 UTC
Both of the CD devices in my system are on the secondary ide bus and show up as
follows in the hardware browser.

Memorex Twelve MAXX 1032 driver none or built-in /dev/hdd
SONY CDU4811 driver none or built-in /dev/hdc

The following is from the fstab file

/dev/hdd                /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0

Comment 18 David Bentley 2005-07-04 21:33:45 UTC
This is still failing in FC4 FINAL and on my test system that has just had FC4
installed on it and immediatly modified to track the development fork.

So should this be bumped from Fc4test3 to devel.

Comment 19 Dax Kelson 2005-07-24 20:15:16 UTC
This is still failing for me on FC4 final+all errata (as of today, July 24 2005).

Comment 20 David Bentley 2005-11-24 18:29:27 UTC
Currently OK in FC4 final

It has been for some time now so I will close this bug (if I can)


Note You need to log in before you can comment on or make changes to this bug.